Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
LogConfig Members
LogConfig Class Constructors Methods Fields Properties See Also Send Feedback

The LogConfig type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| LogConfig | Initializes a new instance of the LogConfig class

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the type of the current instance. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

# Fields

| Name | Description
--- | --- | ---
| AutoRemove | If true, Berkeley DB will automatically remove log files that are no longer needed.
| Dir | The path of a directory to be used as the location of logging files. Log files created by the Log Manager subsystem will be created in this directory.
| ForceSync | If true, Berkeley DB will flush log writes to the backing disk before returning from the write system call, rather than flushing log writes explicitly in a separate system call, as necessary.
| InMemory | If true, maintain transaction logs in memory rather than on disk.
| NoBuffer | If true, turn off system buffering of Berkeley DB log files to avoid double caching.
| ZeroOnCreate | If true, zero all pages of a log file when that log file is created.

# Properties

| Name | Description
--- | --- | ---
| BufferSize | The size of the in-memory log buffer, in bytes.
| FileMode | The absolute file mode for created log files.
| InitLogIdCount | The initial number of log identifier entities created by the Berkeley DB environment
| MaxFileSize | The maximum size of a single file in the log, in bytes. Because Offset is an unsigned four-byte value, MaxFileSize may not be larger than the maximum unsigned four-byte value.
| RegionSize | Te size of the underlying logging area of the Berkeley DB environment, in bytes.

# See Also

LogConfig Class
BerkeleyDB Namespace